set -o allexport

function SHOWMSG {
	a=$(locale)
	for x in `locale | cut -c6-10`
	do
  		b=$x
   		break
	done
	#b=$(expr substr "$a" 6 5)
	if [ ! -r ${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$b.properties ]
	then
		for y in `locale | cut -c6-7`
		do
	  		lang=$y
	   		break
		done
		#lang=$(expr substr "$b" 1 2)
		msgFile=${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$lang.properties
	else
		msgFile=${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$b.properties
	fi
	a=`grep "$1" $msgFile`
	echo $a|cut -d'=' -f2
}
function CHECK_ARGS {
	if [ "$1" = "" ]
	then
		SHOWMSG MDM00004070
		argsproper=false
		return
	else
		if [ "$1" != "-deploy" ]
		then
			SHOWMSG MDM00004070
			argsproper=false
			return
		else
			action=$1
		fi
	fi
	if [ "$2" = "" ]
	then
		SHOWMSG MDM00004070
		argsproper=false
		return
	else
		if [ "$2" != "-location" ]
		then
			SHOWMSG MDM00004070
			argsproper=false
			return
		fi
	fi
	if [ "$3" = "" ]
	then
		SHOWMSG MDM00004070
		argsproper=false
		return
	else
		if [ ! -r $3 ]
		then
			SHOWMSG MDM00004110
			argsproper=false
			return
		else
			metadataPackageFolder=$3
		fi
	fi
	if [ "$4" != "" ]
	then
		if [ "$4" != "-serverName" ]
		then
			SHOWMSG MDM00004070
			argsproper=false
			return
		else
			if [ "$5" = "" ]
			then
				SHOWMSG MDM00004070
				argsproper=false
				return
			else
				dataServerName=$5
				CHECK_SERVER_PROPS_FILE
			fi
		fi
	else
		if [ "${mdm_dataserver_address}" = "" ]	
			then
				SHOWMSG MDM00004070
				argsproper=false
				return
		else
			dataServerName=${mdm_dataserver_address}
			CHECK_SERVER_PROPS_FILE
		fi
	fi
}
function CHECK_SERVER_PROPS_FILE {
	if [ ! -r ${MDM_TOOLS_HOME}/MDMMetadataTools/properties/${dataServerName}.sas.client.props ]
	then
		SHOWMSG MDM00004120
		argsproper=false
		return
	fi
}
argsproper=true
CHECK_ARGS $1 $2 $3 $4 $5
if [ "$argsproper" = "true" ]
then
	securityFile=${MDM_TOOLS_HOME}/MDMMetadataTools/properties/${dataServerName}.sas.client.props
	c=`grep "com.ibm.CORBA.securityEnabled" $securityFile`
	securityEnabled=`echo $c|cut -d'=' -f2`
	if [ "$securityEnabled" = "true" ]
	then
	 	export CORBA_CONFIG=-Dcom.ibm.CORBA.ConfigURL=file:${MDM_TOOLS_HOME}/MDMMetadataTools/properties/${dataServerName}.sas.client.props
		c=`grep "com.ibm.CORBA.loginUserid" $securityFile`
		userName=`echo $c|cut -d'=' -f2`
		c=`grep "userRoles" $securityFile`
		userRoles=`echo $c|cut -d'=' -f2`
		${JAVA_HOME}/bin/java -Xms${memory} -Xmx${memory} ${CORBA_CONFIG} -classpath ${CP} com.ibm.mdm.tools.metadata.admin.deploy.MDMLevelManager $action $metadataPackageFolder $securityFile $userName $userRoles
	else
		${JAVA_HOME}/bin/java -Xms${memory} -Xmx${memory} -classpath ${CP} com.ibm.mdm.tools.metadata.admin.deploy.MDMLevelManager $action $metadataPackageFolder $securityFile
	fi
fi
########################################################## {COPYRIGHT-TOP} #####
# Licensed Materials - Property of IBM
# "Restricted Materials of IBM"
#
# 5724-S78
#
# (C) Copyright IBM Corp. 2008  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
########################################################## {COPYRIGHT-END} #####
